> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismgateway.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate an image



## OpenAPI

````yaml /api/openapi.json post /v1/images/generations
openapi: 3.1.0
info:
  title: Prism API
  version: 1.0.0
  description: >-
    OpenAI-compatible chat, embeddings, image, and asynchronous video APIs with
    Prism billing and policy controls.
servers:
  - url: https://api.prismgateway.io
    description: Production
security: []
paths:
  /v1/images/generations:
    post:
      tags:
        - Images
      summary: Generate an image
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - prompt
              properties:
                model:
                  minLength: 1
                  maxLength: 256
                  type: string
                prompt:
                  minLength: 1
                  maxLength: 4000
                  type: string
                'n':
                  minimum: 1
                  maximum: 10
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - minimum: 1
                      maximum: 10
                      type: integer
                size:
                  type: string
                quality:
                  type: string
                  enum:
                    - standard
                    - hd
                style:
                  type: string
                  enum:
                    - vivid
                    - natural
                user:
                  type: string
                response_format:
                  type: string
                  enum:
                    - url
                    - b64_json
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - model
                - prompt
              properties:
                model:
                  minLength: 1
                  maxLength: 256
                  type: string
                prompt:
                  minLength: 1
                  maxLength: 4000
                  type: string
                'n':
                  minimum: 1
                  maximum: 10
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - minimum: 1
                      maximum: 10
                      type: integer
                size:
                  type: string
                quality:
                  type: string
                  enum:
                    - standard
                    - hd
                style:
                  type: string
                  enum:
                    - vivid
                    - natural
                user:
                  type: string
                response_format:
                  type: string
                  enum:
                    - url
                    - b64_json
          multipart/form-data:
            schema:
              type: object
              required:
                - model
                - prompt
              properties:
                model:
                  minLength: 1
                  maxLength: 256
                  type: string
                prompt:
                  minLength: 1
                  maxLength: 4000
                  type: string
                'n':
                  minimum: 1
                  maximum: 10
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - minimum: 1
                      maximum: 10
                      type: integer
                size:
                  type: string
                quality:
                  type: string
                  enum:
                    - standard
                    - hd
                style:
                  type: string
                  enum:
                    - vivid
                    - natural
                user:
                  type: string
                response_format:
                  type: string
                  enum:
                    - url
                    - b64_json
      responses:
        '200':
          description: OpenAI-compatible image generation result.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '401':
          description: Missing, malformed, unknown, or revoked API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '402':
          description: Credits, reservation, or organization budget prevents admission.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '403':
          description: Trial, key, model, or organization policy denied the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '404':
          description: The requested model was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '413':
          description: Request body exceeds the configured size limit.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '500':
          description: Prism or an upstream provider could not complete the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '502':
          description: An upstream provider returned an invalid or failed response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '503':
          description: The selected model or runtime is temporarily unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        default:
          description: The request could not be completed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PrismErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            type:
              type: string
            code:
              type: string
            message:
              type: string
            action:
              type: string
              enum:
                - top_up
                - contact_org_admin
            help_url:
              type: string
              format: uri
            allowed_models:
              type: array
              items:
                type: string
          additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Prism API key
      description: Prism API key beginning with sk-prism-

````